Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class Context.SContext

    java.lang.Object
      org.mortbay.jetty.handler.ContextHandler.SContext
          org.mortbay.jetty.servlet.Context.SContext

All Implemented Interfaces:
  javax.servlet.ServletContext

Enclosing class:
  Context

    public class Context.SContext

extends ContextHandler.SContext

Constructor Summary
`Context.SContext()`

Method Summary
`javax.servlet.RequestDispatcher` | `getNamedDispatcher(java.lang.String name)`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String uriInContext)`

Methods inherited from class org.mortbay.jetty.handler.ContextHandler.SContext
`getAttribute, getAttributeNames, getContext, getContextHandler, getContextPath, getInitParameter, getInitParameterNames, getMajorVersion, getMimeType, getMinorVersion, getRealPath, getResource, getResourceAsStream, getResourcePaths, getServerInfo, getServlet, getServletContextName, getServletNames, getServlets, log, log, log, removeAttribute, setAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Context.SContext

    public Context.SContext()

Method Detail

### getNamedDispatcher

    public javax.servlet.RequestDispatcher getNamedDispatcher(java.lang.String name)

  Specified by:
    `getNamedDispatcher` in interface `javax.servlet.ServletContext`
  Overrides:
    `getNamedDispatcher` in class `ContextHandler.SContext`

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String uriInContext)

  Specified by:
    `getRequestDispatcher` in interface `javax.servlet.ServletContext`
  Overrides:
    `getRequestDispatcher` in class `ContextHandler.SContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.